Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.dev
Class FormulaViewer

    java.lang.Object
      org.apache.poi.hssf.dev.FormulaViewer

public class FormulaViewer
extends java.lang.Object

FormulaViewer - finds formulas in a BIFF8 file and attempts to read them/display data from them. Only works if Formulas are enabled in "RecordFactory"

Author:
  andy, Avik

Constructor Summary
`FormulaViewer()` Creates new FormulaViewer

Method Summary
`static void` | `main(java.lang.String[] args)` Method main pass me a filename and I'll try and parse the formulas from it
`void` | `parseFormulaRecord(FormulaRecord record)` Method parseFormulaRecord
`void` | `run()` Method run
`void` | `setFile(java.lang.String file)` Method setFile
`void` | `setList(boolean list)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormulaViewer

    public FormulaViewer()

  Creates new FormulaViewer

Method Detail

### run

    public void run()
             throws java.lang.Exception

  Method run

  Throws:
    `java.lang.Exception`

### parseFormulaRecord

    public void parseFormulaRecord(FormulaRecord record)

  Method parseFormulaRecord

  Parameters:
    `record` -

### setFile

    public void setFile(java.lang.String file)

  Method setFile

  Parameters:
    `file` -

### setList

    public void setList(boolean list)

### main

    public static void main(java.lang.String[] args)

  Method main pass me a filename and I'll try and parse the formulas from it

  Parameters:
    `args` - pass one argument with the filename or --help

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.